Page MenuHomePhabricator

Test load unloading of modules with libraries-svr4
ClosedPublic

Authored by aadsm on Jul 22 2019, 7:58 PM.

Details

Summary

This doubles the 3 tests running right now on linux by also executing each test with libraries-svr4 enabled.
Not sure if there's a better way to do this as I had to copy/paste all the decorators as well...

Diff Detail

Repository
rL LLVM

Event Timeline

aadsm created this revision.Jul 22 2019, 7:58 PM
Herald added a project: Restricted Project. · View Herald TranscriptJul 22 2019, 7:58 PM
labath accepted this revision.Jul 23 2019, 1:09 AM

This is python, so there are always ways to make this work without copy-pasting, but I'm not sure that's such a good idea in this case. Doing things this way is probably fine...

This revision is now accepted and ready to land.Jul 23 2019, 1:09 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptJul 29 2019, 11:14 AM